import { useState } from 'react';
import cx from 'classnames';
import PropTypes from 'prop-types';
import { jsx as _jsx } from "react/jsx-runtime";
export default function TabBasic(_ref) {
  var _ref$activeTab = _ref.activeTab,
    initialActiveTab = _ref$activeTab === void 0 ? 0 : _ref$activeTab,
    handleClick = _ref.handleClick,
    tabsList = _ref.tabsList;
  var _useState = useState(initialActiveTab),
    activeTab = _useState[0],
    setActiveTab = _useState[1];
  var createHandleClick = function createHandleClick(index) {
    return function (event) {
      event.preventDefault();
      setActiveTab(index);
      handleClick(index, tabsList[index]);
    };
  };
  var renderTabs = function renderTabs() {
    return tabsList.map(function (tabLabel, index) {
      var tabLinkClassName = cx('sui-TabBasic-link', {
        'is-active': activeTab === index
      });
      return /*#__PURE__*/_jsx("li", {
        className: "sui-TabBasic-item",
        children: /*#__PURE__*/_jsx("button", {
          className: tabLinkClassName,
          onClick: createHandleClick(index),
          role: "tab",
          children: tabLabel
        })
      }, index);
    });
  };
  return /*#__PURE__*/_jsx("ul", {
    className: "sui-TabBasic",
    children: renderTabs()
  });
}
TabBasic.displayName = 'TabBasic';